> ## Documentation Index
> Fetch the complete documentation index at: https://lmm.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取模型列表

> 👨‍💼 需要管理员权限（Admin）



## OpenAPI

````yaml /docs/openapi/api.json post /api/channel/fetch_models
openapi: 3.0.1
info:
  title: 后台管理接口
  description: ''
  version: 1.0.0
servers:
  - url: https://api.lmm.best
    description: 生产环境
security:
  - Combination343: []
  - Combination1243: []
tags:
  - name: 系统
  - name: 用户登陆注册
    x-group: 登录与注册
  - name: OAuth
  - name: 用户管理
  - name: 充值
  - name: 两步验证
  - name: 安全验证
  - name: 渠道管理
  - name: 令牌管理
  - name: 兑换码
  - name: 日志
  - name: 数据统计
  - name: 分组
  - name: 任务
  - name: 供应商
  - name: 模型管理
  - name: 系统设置
paths:
  /api/channel/fetch_models:
    post:
      tags:
        - 渠道管理
      summary: 获取模型列表
      description: 👨‍💼 需要管理员权限（Admin）
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                base_url:
                  type: string
                  description: 上游基础地址。编辑预览时显式空字符串表示清除已保存值，省略则沿用已保存值；相对上游路径要求非空的完整基础地址。
                type:
                  type: integer
                  description: 渠道类型。高级自定义渠道为 58。
                key:
                  type: string
                  description: >-
                    新建渠道预览使用的 API 密钥。提供 channel_id
                    时忽略此字段，并在服务端使用渠道已保存的单密钥或多密钥配置。
                channel_id:
                  type: integer
                  description: 可选的已保存渠道 ID。用于在不向前端返回密钥的情况下预览尚未保存的高级自定义配置。
                advanced_custom:
                  type: string
                  description: >-
                    可选的高级自定义配置 JSON
                    字符串。新建高级自定义渠道时必填；编辑预览时覆盖已保存配置，省略则沿用已保存配置。模型发现仅支持显式的
                    /v1/models 路由和 OpenAI data[].id 响应。
                header_override:
                  type: string
                  description: 可选的全局请求头覆盖 JSON 字符串。编辑预览时覆盖已保存值，显式空字符串表示清除，省略则沿用。
                proxy:
                  type: string
                  description: 可选的网络代理。编辑预览时覆盖已保存值，显式空字符串表示清除，省略则沿用。
      responses:
        '200':
          description: 成功
          headers: {}
      deprecated: false
      security:
        - Combination343: []
        - Combination1243: []
components: {}

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.